package gnumims.functional.pages

class LoginPage extends GrailsPage {
    static controller = "login"
    static action = "auth"

    static content = {
        loginButton(to:HomePage) { $('#loginForm input[value=Login]') }
        form { $("#loginForm") }
        password { $("input[name=j_password]").value() }
        message { $("div.login_message").text() }
    }

    def verifyLoginFailureMessage() {
        assert message.contains("wrong username/password.")
        return true
    }
}
